#!/bin/sh /usr/share/dpatch/dpatch-run
## 01-id-fix.dpatch by Andres Salomon <dilinger@debian.org>
##
## DP: Disable id check during build, since it's unnecessary.

@DPATCH@

diff -Naur firestring-0.9.12.orig/firemake/id firestring-0.9.12/firemake/id
--- firestring-0.9.12.orig/firemake/id	2003-05-15 16:24:41.000000000 +0000
+++ firestring-0.9.12/firemake/id	2005-10-03 10:42:16.715325184 +0000
@@ -1,13 +1,13 @@
 #!/bin/sh
 #phase init
-dispn "Checking for id..."
-if /usr/xpg4/bin/id 2>/dev/null; then
-	disp "found, /usr/xpg4/bin/id"
-	ID="/usr/xpg4/bin/id"
-elif id 2>/dev/null; then
-	disp "found, id"
-	ID="id"
-else
-	disp "not found, aborting"
-	exit 1
-fi
+#dispn "Checking for id..."
+#if /usr/xpg4/bin/id 2>/dev/null; then
+#	disp "found, /usr/xpg4/bin/id"
+#	ID="/usr/xpg4/bin/id"
+#elif id 2>/dev/null; then
+#	disp "found, id"
+#	ID="id"
+#else
+#	disp "not found, aborting"
+#	exit 1
+#fi
diff -Naur firestring-0.9.12.orig/firemake/install firestring-0.9.12/firemake/install
--- firestring-0.9.12.orig/firemake/install	2004-01-07 20:34:15.000000000 +0000
+++ firestring-0.9.12/firemake/install	2005-10-03 10:43:23.042241960 +0000
@@ -19,14 +19,14 @@
 		disp "done"
 
 		dispn "Checking for installation username..."
-		INSTALL_GROUP=`$ID -ng root`
-		if test "$?" = "0"; then
+		INSTALL_GROUP="root"
+		#if test "$?" = "0"; then
 			INSTALL_USER=root
 			disp "found, \"root\""
-		else
-			disp "none found, aborting"
-			exit 1
-		fi
+		#else
+		#	disp "none found, aborting"
+		#	exit 1
+		#fi
 
 		dispn "Checking for installation group name..."
 		if test "$INSTALL_GROUP" = ""; then
